routes/admin.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\LoginAdminController;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\ArticleController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\RechargeController;
use App\Http\Controllers\Admin\Select;

// ------------------------------Admin ForgetPassword--------------------------
Route::get('foregtpassword', function () {
return view('Backend.Admin.forget_email');
})->name('foregtpassword');

Route::get('resetpassword', function () {
return view('Backend.Admin.reset');
})->name('resetpassword');


//--------------------------------------- Admin Login-------------------------------
Route::group(['namespace' => 'Auth'], function () {
    Route::get('login', [LoginAdminController::class, 'showLoginForm'])->name('admin_login');
    Route::post('login', [LoginAdminController::class, 'login']);
    Route::post('logout', [LoginAdminController::class, 'logout'])->name('admin_logout');
});


// --------------------------------------Dashbooard View------------------------------
Route::group(['middleware' => 'auth:admin'], function () {
Route::get('/dasboard', function () {
    return view('Backend.Admin.dashboard');
})->name('dasboard');


//--------------------------------------Admin Profile Module---------------------------
Route::get('/profile', [AdminController::class, 'profileview'])->name('profile_view');
Route::post('/profile-update', [AdminController::class, 'profileupdate'])->name('profile_update');
Route::get('change-view', [AdminController::class, 'changePasswordview'])->name('view');
Route::post('change-pass', [AdminController::class, 'changePassword'])->name('change_pass');


//--------------------------------------category--------------------------- 
Route::resource('category',CategoryController::class);


//--------------------------------------Article---------------------------- 
Route::resource('article',ArticleController::class);



//-------------------------------------User display-----------------------
Route::resource('user',UserController::class);


//------------------------------------Recharge display--------------------
Route::resource('recharge',RechargeController::class);
Route::get('recharge-status',[RechargeController::class,'Rechargestatus'])->name('recharge-status');
Route::get('mail-send',[RechargeController::class,'mail'])->name('mail_send');


});

routes/web.php
<?php

use App\Http\Controllers\frontend\ArticleController;
use App\Http\Controllers\frontend\PostController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RechagerController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('frantend.home');
});

Auth::routes();
Route::get('/post', [HomeController::class, 'index'])->name('home');

Route::group(['middleware' => 'auth:web'], function () {

    //---------------------------------------Post--------------------------------- 
    Route::resource('post', PostController::class);
    Route::post('request-send', [PostController::class,'sendrequest'])->name('sendrequest');




    // ------------------------------------Article Like and coment----------------

    Route::get('like/{id}', [ArticleController::class, 'like'])->name('like');
    Route::get('dislikes/{id}', [ArticleController::class, 'dislikes'])->name('dislikes');
    Route::Post('submit_comment/{id}', [ArticleController::class, 'comment'])->name('submit_comment');
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];


    
}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\DataTables\UserDataTable;
use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(UserDataTable $dataTable)
    {
       return $dataTable->render('Backend.user.userlist');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
       
        $id = $request['id'];
        $user_status = User::find($id);
        if ($user_status->status == "1") {
            $user_status->status = "0";
        } else {
            $user_status->status = "1";
        }
        $user_status->save();
        return response()->json(['data' => $user_status]);
     
     
 
  
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/Backend/user/userlist.blade.php
@extends('Backend.Admin.layouts.master')
@section('content')
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.0/css/dataTables.bootstrap4.min.css">
<div class="main-panel">
    <div class="content-wrapper">
        <br>
        <br>
        <div class="page-header">
            <h3 style="font-size:150%;" class="page-title">Tables </h3>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 style="font-size:150%;" class="card-title">Category Table</h4>
                        <section style="padding-top: 60px;">
                            <div class="container">
                                <div class="row">
                                    <div class="col-md-12">
                                        {!! $dataTable->table(['class' => 'table table-bordered dt-responsive nowrap']) !!}
                                    </div>
                                </div>
                            </div>
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('scripts')
<script src="https://code.jquery.com/jquery-3.5.0.js" integrity="sha256-r/AaFHrszJtwpe+tHyNi/XCfMxYpbsRg2Uqn0x3s2zc=" crossorigin="anonymous"></script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.js" integrity="sha512-AA1Bzp5Q0K1KanKKmvN/4d3IRKVlv9PYgwFPvm32nPO6QS8yH1HO7LbgB1pgiOxPtfeg5zEn2ba64MUcqJx6CA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
{!! $dataTable->scripts() !!}
<script>
    $(document).on('click', '#status', function() {
        var id = $(this).data('id');
        swal({
            title: "Are you sure?"
            , text: "you want to Change Status"
            , showCancelButton: true
            , confirmButtonColor: '#3085d6'
            , cancelButtonColor: '#d33'
            , confirmButtonText: 'Yes, Save!'
            , cancelButtonText: "No, cancel plx!"
            , reverseButtons: true
        }).then((result) => {
            if (result) {
                $.ajax({
                    url: "{{route('admin.user.create')}}"
                    , type: "get"
                    , data: {
                        id: id
                    , }
                    , dataType: "json"
                    , success: function(data) {
                        if (data) {
                            swal("Updated!"
                                , "Status Change Successfully."
                                , "success");
                            window.LaravelDataTables["user-table"].draw();

                        }
                    }
                });
            } else {
                swal("Cancelled", "Your Status is safe :)", "error");
            }
        });
    });

</script>


@endpush